EXIF library (libexif) API: libexif/exif-mnote-data.h File Reference

EXIF library (libexif) API 0.6.22

Typedefs | Functions | Variables
exif-mnote-data.h File Reference

Handling EXIF MakerNote tags. More...

`#include <libexif/exiflog.h>`

Go to the source code of this file.

## Typedefs
typedef struct _ExifMnoteData | ExifMnoteData
| Data found in the MakerNote tag.

## Functions
| EXIF_API (void) exif_mnote_data_load(ExifMnoteData *d
| Load the MakerNote data from a memory buffer.
| EXIF_API (uint32_t) exif_mnote_data_count(ExifMnoteData *d)
| Return the number of tags in the MakerNote.
| EXIF_API (const char *) exif_mnote_data_get_name(ExifMnoteData *d
| Returns textual name of the given MakerNote tag.
| EXIF_API (char *) exif_mnote_data_get_value(ExifMnoteData *d
| Return a textual representation of the value of the MakerNote entry.

## Variables
const unsigned char * | buf
const unsigned char uint32_t | buf_size
uint32_t | n
uint32_t char * | val
uint32_t char uint32_t | maxlen

## Detailed Description

Handling EXIF MakerNote tags.

## Function Documentation

## ◆ EXIF_API() [1/4]

EXIF_API | ( | char * |  | ) |

Return a textual representation of the value of the MakerNote entry.

Warning
  The character set of the returned string may be in the encoding of the current locale or the native encoding of the camera.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data
  [out] | val | buffer in which to store value
  [in] | maxlen | length of the buffer val

Returns
  val pointer, or NULL on error

## ◆ EXIF_API() [2/4]

EXIF_API | ( | const char * |  | ) |

Returns textual name of the given MakerNote tag.

Return a textual description of the given class of error log.

Return a textual name of the given IFD.

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

Returns verbose textual description of the given MakerNote tag.

Returns textual title of the given MakerNote tag.

The name is a short, unique (within this type of MakerNote), non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

The title is a short, localized textual description of the tag.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual description of the tag or NULL on error

## ◆ EXIF_API() [3/4]

EXIF_API | ( | uint32_t |  | ) |

Return the number of tags in the MakerNote.

Return the MakerNote tag number for the tag at the specified index within the MakerNote.

Parameters

  [in] | d | MakerNote data

Returns
  number of tags, or 0 if no MakerNote or the type is not supported

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  MakerNote tag number

## ◆ EXIF_API() [4/4]

EXIF_API | ( | void |  | ) |

Load the MakerNote data from a memory buffer.

Save the raw MakerNote data into a memory buffer.

Parameters

  [in] | d | MakerNote data
  [in] | buf | pointer to raw MakerNote tag data
  [in] | buf_size | number of bytes of data at buf

The buffer is allocated by this function and must subsequently be freed by the caller.

Parameters

  [in,out] | d | extract the data from this structure
  [out] | buf | pointer to buffer pointer containing MakerNote data on return
  [out] | buf_size | pointer to the size of the buffer